org.jCharts.axisChart.axis

## Class DataAxis

- java.lang.Object
- - org.jCharts.axisChart.axis.Axis
  - - org.jCharts.axisChart.axis.DataAxis

- All Implemented Interfaces:
    Serializable, HTMLTestable

  Deprecated.
  just using the YAxis Object

      public class DataAxis
      extends Axis
      implements HTMLTestable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `increment` Deprecated.
    `private double` | `maxValue` Deprecated.
    `private double` | `minValue` Deprecated.
    `protected float` | `zeroLineCoordinate` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataAxis(AxisChart axisChart)` Deprecated. this class is no longer used

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTextTags()` Deprecated. Add all text labels to be display on this axis.
    `protected boolean` | `amDataAxis()` Deprecated.
    `protected boolean` | `amLabelAxis()` Deprecated.
    `(package private) float` | `computeAxisCoordinate(double value)` Deprecated. Takes a value and determines the screen coordinate it should be drawn at.
    `(package private) void` | `computeScaleIncrement(AxisChartDataProcessor axisChartDataProcessor)` Deprecated. Calculates the axis scale increment.
    `double` | `getMaxValue()` Deprecated. Returns the MAX value plotted by the axis.
    `double` | `getMinValue()` Deprecated. Returns the MIN value plotted by the axis.
    `double` | `getOneUnitPixelSize()` Deprecated. Returns the number of pixels one value unit occupies.
    `float` | `getZeroLineCoordinate()` Deprecated. Returns the screen coordinate of the zero line.
    `protected void` | `render(Graphics2D graphics2D, IDataSeries iDataSeries)` Deprecated. Renders the DataAxis on the passes Graphics2D object
    `private double` | `round(double value, double powerOfTen)` Deprecated. Rounds the scale increment up by the power of ten specified in the properties.
    `private void` | `roundTheIncrement(double powerOfTen)` Deprecated. Rounds the scale increment up by the power of ten specified in the properties.
    `void` | `toHTML(HTMLGenerator htmlGenerator)` Deprecated. Enables the testing routines to display the contents of this Object.

    - ### Methods inherited from class org.jCharts.axisChart.axis.Axis

      `computeAxisTitleDimensions, computeOneUnitPixelSize, computeScalePixelWidth, computeScalePixelWidthDataAxis, getAxisChart, getAxisLabelsGroup, getMinimumHeightNeeded, getMinimumWidthNeeded, getNumberOfScaleItems, getOrigin, getPixelLength, getScaleCalculator, getScalePixelWidth, getTickStart, getTitleHeight, getTitleWidth, setAxisLabelsGroup, setMinimumHeightNeeded, setMinimumWidthNeeded, setOneUnitPixelSize, setOrigin, setPixelLength, setScaleCalculator, setScalePixelWidth, setTickStart, setZeroLineCoordinate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minValue

          private double minValue

      Deprecated.

    - #### maxValue

          private double maxValue

      Deprecated.

    - #### increment

          private double increment

      Deprecated.

    - #### zeroLineCoordinate

          protected float zeroLineCoordinate

      Deprecated.

  - ### Constructor Detail

    - #### DataAxis

          public DataAxis(AxisChart axisChart)

      Deprecated. this class is no longer used
      Parameters:
        `axisChart` -

  - ### Method Detail

    - #### amDataAxis

          protected boolean amDataAxis()

      Deprecated.

    - #### amLabelAxis

          protected boolean amLabelAxis()

      Deprecated.

    - #### addTextTags

          public void addTextTags()

      Deprecated.
      Add all text labels to be display on this axis.

    - #### computeScaleIncrement

          void computeScaleIncrement(AxisChartDataProcessor axisChartDataProcessor)

      Deprecated.
      Calculates the axis scale increment. If the user does not specify a scale, it is auto computed in the followin way:
    - if all values are positive, the MIN value will be zero.
    - if all values are negative, the MAX value will be zero.
    - Padding is done by either adding or subtracting the increment by the rounding power of ten specified in the properties.

Parameters:
  `axisChartDataProcessor` - need to get the min/max

- #### round

      private double round(double value,
                           double powerOfTen)

  Deprecated.
  Rounds the scale increment up by the power of ten specified in the properties.
  Parameters:
    `value` - the value to round
    `powerOfTen` - the product of 10 times the rounding property.
  Returns:
    double the rounded result

- #### roundTheIncrement

      private void roundTheIncrement(double powerOfTen)

  Deprecated.
  Rounds the scale increment up by the power of ten specified in the properties.
  Parameters:
    `powerOfTen` - the value of 10 times the rounding property.

- #### getZeroLineCoordinate

      public float getZeroLineCoordinate()

  Deprecated.
  Returns the screen coordinate of the zero line. This will not always be the same as the origin as not all charts start at zero.
  Overrides:
    `getZeroLineCoordinate` in class `Axis`
  Returns:
    float the screen pixel location of the zero line.

- #### computeAxisCoordinate

      float computeAxisCoordinate(double value)

  Deprecated.
  Takes a value and determines the screen coordinate it should be drawn at.
  Parameters:
    `value` -
  Returns:
    float the screen pixel coordinate

- #### getMaxValue

      public double getMaxValue()

  Deprecated.
  Returns the MAX value plotted by the axis.
  Returns:
    double the MAX value plotted by the axis

- #### getMinValue

      public double getMinValue()

  Deprecated.
  Returns the MIN value plotted by the axis.
  Returns:
    double the MIN value plotted by the axis

- #### getOneUnitPixelSize

      public double getOneUnitPixelSize()

  Deprecated.
  Returns the number of pixels one value unit occupies.
  Overrides:
    `getOneUnitPixelSize` in class `Axis`
  Returns:
    double the number of pixels one value unit occupies.

- #### render

      protected void render(Graphics2D graphics2D,
                            IDataSeries iDataSeries)

  Deprecated.
  Renders the DataAxis on the passes Graphics2D object
  Parameters:
    `graphics2D` -
    `iDataSeries` -

- #### toHTML

      public void toHTML(HTMLGenerator htmlGenerator)

  Deprecated.
  Enables the testing routines to display the contents of this Object.
  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `Axis`
  Parameters:
    `htmlGenerator` -